Subject: Re: bug#30073: 27.0.50; dired-do-delete ignores customization for short answers

From: Juri Linkov <[email-masked]>
Date: Thu, 11 Jan 2018 23:54:41 +0200

>> Just linking bug#27940, where the move away from using yes-or-no-p in
>> function dired-delete-file was discussed:
>>
>> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=27940
>
> Indeed, this horse has been beaten to death already.  The current
> solution is for you to set dired-deletion-confirmer to y-or-n-p.
> Admittedly, that's not a very user-friendly customization method, but
> then neither is fset.

What is worse, it doesn't work at all - setting dired-deletion-confirmer
to y-or-n-p has no effect on the question “Recursively delete ...? ”.
It still expects “[yes, no, all, quit, help]” answers, not short ones
like “y/n/!/q/?”.